Bug 1468877 - Review Request: python-fiona - read and write spatial data files
Review Request: python-fiona - read and write spatial data files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 1468873
Blocks: 1468995
  Show dependency treegraph
 
Reported: 2017-07-09 05:08 EDT by Elliott Sales de Andrade
Modified: 2017-09-30 02:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-28 15:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Elliott Sales de Andrade 2017-07-09 05:08:28 EDT
Spec URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/geopy/fedora-rawhide-x86_64/00577188-python-fiona/python-fiona.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/qulogic/geopy/fedora-rawhide-x86_64/00577188-python-fiona/python-fiona-1.7.8-2.fc27.src.rpm
Description: Fiona can read and write real-world data using multi-layered GIS formats and zipped virtual file systems and integrates readily with other Python GIS packages such as pyproj, Rtree, and Shapely.

This is my first package in Fedora proper; I am thus seeking a sponsor.

Fedora Account System Username: qulogic
Comment 2 Zbigniew Jędrzejewski-Szmek 2017-08-12 16:17:41 EDT
It's generally better to not repeat the package name in Summary, since most of the time the package name is shown separately anyway (by dnf list, etc.).

The %description is also a bit off in my opinion: the most important part is what formats it can read and write. I'd move the last sentence to the beginning and add some information about what formats it supports (I don't know how many there are, but if it's possible, I'd just list them. This has the advantage that it'll show up in searches.)

I'd also recommend the trick from https://bugzilla.redhat.com/show_bug.cgi?id=1468873#c2 to avoid repeating the lengthy description text.

But those are all non-blocking issues.

rpmlint:
python3-fiona.x86_64: W: no-manual-page-for-binary fio
That's not mandatory. Otherwise rpmlint says nothing useful.

+ package name is OK
+ license is acceptable for Fedora (BSD)
+ license is specified correctly
+ builds and install OK
+ %check is present and passes
+ modern python packaging template is used
+ R/P/BR look correct
+ %python_provide macros are present
+ %license macro is used
+ /usr/bin/fio runs OK

Package is APPROVED.
Comment 3 Elliott Sales de Andrade 2017-08-12 16:49:42 EDT
That's the first paragraph from PyPI: https://pypi.python.org/pypi/Fiona
Unfortunately, I cannot find a straightforward list of all supported formats.
Comment 4 Zbigniew Jędrzejewski-Szmek 2017-08-13 11:32:34 EDT
Yes. It's also a bad description for pypi. (It contains too much "advertisting", and doesn't really give the one to two sentence summary of what this package "does".)

>>> print('\n'.join(sorted(fiona.drivers().drivers())))
ARCGEN
AVCBin
AVCE00
AeronavFAA
AmigoCloud
BNA
CSV
CSW
Carto
Cloudant
CouchDB
DGN
DXF
EDIGEO
ESRI Shapefile
ElasticSearch
GFT
GML
GPKG
GPSBabel
GPSTrackMaker
GPX
GeoJSON
GeoRSS
Geoconcept
Geomedia
HTF
HTTP
Idrisi
Interlis 1
Interlis 2
JML
JP2OpenJPEG
JPEG2000
KML
LIBKML
MSSQLSpatial
MapInfo File
Memory
MySQL
NAS
ODBC
ODS
OGR_DODS
OGR_GMT
OGR_OGDI
OGR_PDS
OGR_SDTS
OGR_VRT
OSM
OpenAir
OpenFileGDB
PCIDSK
PDF
PGDUMP
PGeo
PLSCENES
PostgreSQL
REC
S57
SEGUKOOA
SEGY
SQLite
SUA
SVG
SXF
Selafin
TIGER
UK .NTF
VDV
VFK
WAsP
WFS
Walk
XLS
XLSX
XPlane
netCDF

That's way too many to list :(
Comment 5 Zbigniew Jędrzejewski-Szmek 2017-09-02 06:05:47 EDT
Can you build this? It's the last thing blocking python-geopandas.
Comment 6 Elliott Sales de Andrade 2017-09-02 14:44:18 EDT
Still need SCM. No-one has responded: https://pagure.io/releng/issue/6976
Comment 7 Ralph Bean 2017-09-18 14:33:00 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-fiona
Comment 8 Fedora Update System 2017-09-18 16:25:55 EDT
python-fiona-1.7.8-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0180c5666a
Comment 9 Fedora Update System 2017-09-18 16:26:25 EDT
python-fiona-1.7.8-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-89f565ab8d
Comment 10 Fedora Update System 2017-09-19 19:28:34 EDT
python-fiona-1.7.8-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-89f565ab8d
Comment 11 Fedora Update System 2017-09-19 20:23:00 EDT
python-fiona-1.7.8-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0180c5666a
Comment 12 Fedora Update System 2017-09-28 15:57:22 EDT
python-fiona-1.7.8-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-09-30 02:40:14 EDT
python-fiona-1.7.8-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.